org.glassfish.jersey.model

## Interface Parameter.ParamCreationFactory<PARAMETER extends Parameter>

Type Parameters:
  `PARAMETER` - the `Parameter` to be instatiated

Enclosing class:
  Parameter

    public static interface Parameter.ParamCreationFactory<PARAMETER extends Parameter>

A factory service to found in a runtime to be used to instantiate the given `Parameter` class.

### Method Summary

All Methods Instance Methods Abstract Methods
`PARAMETER` `createBeanParameter(Annotation[] markers, Annotation marker, Parameter.Source source, String sourceName, Class<?> rawType, Type type, boolean encoded, String defaultValue)` Factory method to instantiate `BeanParameter` of given properties
`PARAMETER` `createParameter(Annotation[] markers, Annotation marker, Parameter.Source source, String sourceName, Class<?> rawType, Type type, boolean encoded, String defaultValue)` Factory method to instantiate `Parameter` of given properties
`boolean` `isFor(Class<?> clazz)` Determine whether the Factory is for the given class to be instantiated.

### Method Detail

#### isFor

    boolean isFor(Class<?> clazz)

Determine whether the Factory is for the given class to be instantiated.

Parameters:
  `clazz` - The class of determining the source of origin (core, server). Each source of origin has its own `ParamCreationFactory`
Returns:
  `true` if the source of origin corresponds to the `ParamCreationFactory`, `false` otherwise.

#### createParameter

    PARAMETER createParameter(Annotation[] markers,
                              Annotation marker,
                              Parameter.Source source,
                              String sourceName,
                              Class<?> rawType,
                              Type type,
                              boolean encoded,
                              String defaultValue)

Factory method to instantiate `Parameter` of given properties

Returns:
  instantiated `Parameter`

#### createBeanParameter

    PARAMETER createBeanParameter(Annotation[] markers,
                                  Annotation marker,
                                  Parameter.Source source,
                                  String sourceName,
                                  Class<?> rawType,
                                  Type type,
                                  boolean encoded,
                                  String defaultValue)

Factory method to instantiate `BeanParameter` of given properties

Returns:
  instantiated `BeanParameter`